## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Architecture compatibility macro shims
%{!?x86_64: %global x86_64 x86_64}
%{!?arm64: %global arm64 aarch64}

Name:           libva-nvidia-driver
Version:        0.0.12
Release:        %autorelease
Summary:        A VA-API implemention using NVIDIA's NVDEC

License:        MIT
URL:            https://github.com/elFarto/nvidia-vaapi-driver
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(ffnvcodec) >= 11.1.5.1
BuildRequires:  pkgconfig(gstreamer-va-1.0)

# Replace the rpmfusion package
Provides:       nvidia-vaapi-driver = %{version}-%{release}
Obsoletes:      nvidia-vaapi-driver < 0.0.10-3
# Alternative name that better describes the API involved
Provides:       nvdec-vaapi-driver = %{version}-%{release}

# Only one NVIDIA VA-API shim on a system at a time
Conflicts:      libva-vdpau-driver

# NVIDIA driver architectures
ExclusiveArch:  %{x86_64} %{ix86} %{arm64} ppc64le

%description
This is an VA-API implementation that uses NVDEC as a backend. This
implementation is specifically designed to be used by Firefox for accelerated
decode of web content, and may not operate correctly in other applications.

%prep
%autosetup -n nvidia-vaapi-driver-%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md
%license COPYING
%{_libdir}/dri/nvidia_drv_video.so

%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat May 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.0.12-2
- Rebuild for gstreamer-plugins-bad 1.24

* Mon May 06 2024 Nicolas Chauvet <kwizart@gmail.com> - 0.0.12-1
- Update to 0.0.12

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 23 2023 Alessandro Astone <ales.astone@gmail.com> - 0.0.11-1
- Update to 0.0.11

* Sun Aug 27 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.10-3
- Replace the rpmfusion package and provide alt name

* Wed Jun 28 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.10-1
- Update to 0.0.10

* Sat Mar 18 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.9-1
- Update to 0.0.9

* Sat Mar 04 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.5-1
- Initial version

